<div class="container">
  <section class="actions">
    <div class="level">
      <div class="level-left">
        <h1 class="title is-4 has-text-white"><%= t('.posts') %></h1>
      </div>
      <div class="level-right">
        <div class="level-item">
          <%= link_to t('.add'), new_admin_post_path, class: 'button' %>
        </div>
      </div>
    </div>
  </section>

  <section class="list">
    <div class="list-header">
      <div class="columns is-mobile">
        <div class="column is-two-thirds">
          <span><%= Post.human_attribute_name(:title) %></span>
        </div>
        <div class="column is-one-third">
          <span><%= Post.human_attribute_name(:created_at) %></span>
        </div>
      </div>
    </div>

    <div class="list-body">
      <% @posts.each do |post| %>
        <%= link_to edit_admin_post_path(post),
              class: 'list-item' do %>
          <div class="columns is-mobile">
            <div class="column is-two-thirds">
              <span><%= post.title %></span>
            </div>
            <div class="column is-one-third">
              <span><%= l(post.created_at, format: :long) %></span>
            </div>
          </div>
        <% end %>
      <% end %>
    </div>
  </section>

  <%= paginate @posts, views_prefix: 'admin' %>
</div>
